Facebook Pixel
APILinkedIn Search

Get company details

Retrieve detailed information about a specific LinkedIn company page including full description, specialties, employee count, headquarters location, and industry classification.

POST/search/companies/details
Authentication requiredSearch

Code Examples

curl -X POST 'https://api.connectsafely.ai/linkedin/search/companies/details' \
-H 'Authorization: Bearer <your_api_key>' \
-H 'Content-Type: application/json' \
-d '{"companyId":"Acme Inc"}'

Retrieve detailed information about a specific LinkedIn company page including full description, specialties, employee count, headquarters location, and industry classification.

Parameters

No parameters.

Request Body

FieldTypeRequiredDescription
accountIdstringNoLinkedIn account ID to use. If not provided, uses the default account.
companyIdstringYesLinkedIn company ID from search results or company page URL

Example

{
  "companyId": "Acme Inc"
}

Responses

StatusDescription
200Company details retrieved successfully
400Bad Request - Missing required companyId parameter
401Unauthorized - Invalid or missing API key
500Internal Server Error - Failed to get LinkedIn credentials or company details

200 Response Parameters

NameTypeDescription
successboolean
companyobjectDetailed company information

200 Example

{
  "success": true,
  "company": {
    "id": "1441",
    "name": "Google",
    "universalName": "google",
    "tagline": null,
    "description": "A problem isn't truly solved until it's solved for all...",
    "websiteUrl": "https://goo.gle/3DLEokh",
    "phone": null,
    "companyType": "COMPANY",
    "headquarters": {},
    "employeeRange": {
      "start": 10001,
      "end": null
    },
    "staffCount": 334483,
    "specialities": [
      "search",
      "ads",
      "mobile",
      "android",
      "machine learning"
    ],
    "logoUrl": "https://media.licdn.com/dms/image/.../google_logo",
    "coverImageUrl": "https://media.licdn.com/dms/image/.../google_cover",
    "linkedinUrl": "https://www.linkedin.com/company/google/",
    "isActive": true,
    "isVerified": false
  }
}

400 Response Parameters

NameTypeDescription
successboolean
errorobject

400 Example

{
  "success": false,
  "error": {
    "issues": [
      {
        "code": "invalid_type",
        "expected": "string",
        "received": "undefined",
        "path": [
          "companyId"
        ],
        "message": "Required"
      }
    ],
    "name": "ZodError"
  }
}

401 Response Parameters

NameTypeDescription
errorstring

401 Example

{
  "error": "Unauthorized - Invalid credentials"
}

500 Response Parameters

NameTypeDescription
errorstring

500 Example

{
  "error": "Failed to get company details",
  "success": false
}